<h2>Angular</h2>
<!--<app-post>loading....</app-post>-->
<!--<img [src]="img" alt="">-->

<!--<hr>-->
<!--<app-post4>loading....</app-post4>-->
<!--<hr>-->
<!--<p>{{title}}</p>-->
<!--<p><strong>{{+number}}</strong></p>-->
<!--<p><strong>{{arr}}</strong></p>-->
<!--<p><strong>{{obj.b.c + number}}</strong></p>-->

<!--<button (click)="onClick()">click this button man</button>-->
<!--<input type="text" (keyup)="onInput($event)" (blur)="onBlur(myInput.value)" #myInput>-->
<!--<p><strong>{{inputValue}}</strong></p>-->

<!--<button (click)="backgroundToggle = !backgroundToggle">push</button>-->

<!--<div [ngStyle]="{-->
<!--  width:'50px',-->
<!--  height: '50px',-->
<!--  border: '1px solid black',-->
<!--  borderRadius:'10px',-->
<!--  background: backgroundToggle ? 'red' : 'blue'-->
<!--}">-->

<!--</div>-->
<!--<p [ngClass]="{-->
<!--  red: backgroundToggle,-->
<!--  blue: !backgroundToggle-->

<!--}">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda, cumque.</p>-->
<!--}-->
<!--<p [class.blue]="!backgroundToggle"-->
<!--[class.red]="backgroundToggle">Lorem ipsum dolor sit amet.</p>-->
<!--<hr>-->
<!--<h5>директива ngIf</h5>-->
<!--<button (click)="toggle= !toggle">button</button>-->
<!--<button (click)="toggle= 111">set </button>-->
<!--<p *ngIf="toggle; else blueP" class="red">Lorem ipsum dolor sit amet.</p>-->
<!--<ng-template #blueP>-->
<!--  <p *ngIf="!toggle" class="blue">Lorem ipsum dolor sit amet.</p>-->
<!--</ng-template>-->
<!--<hr>-->
<!--<h5>директива njSwitch </h5>-->
<!--<div [ngSwitch]="toggle">-->
<!--  <p class="red" *ngSwitchCase="true">Lorem  sit.</p>-->
<!--  <p class="blue" *ngSwitchCase="false">Lorem dolor sit.</p>-->
<!--  <p *ngSwitchDefault>Lorem ipsum.</p>-->
<!--</div>-->
<!--<hr>-->
<!--&lt;!&ndash;ngFor&ndash;&gt;-->

<!--<ul>-->
<!--  <li *ngFor="let n of arr1; let idx = index">-->
<!--    {{idx+1}}{{n}}-->
<!--  </li>-->
<!--</ul>-->

<!--<ul>-->
<!--  <li *ngFor="let post of obj">-->
<!--    <p>{{post.title}}<i>{{post.author}}</i></p>-->
<!--    <ul>-->
<!--      <li *ngFor="let com of post.comments">-->
<!--        <p>{{com.name}}</p>-->
<!--        <small>{{com.text}}</small>-->

<!--      </li>-->
<!--    </ul>-->
<!--  </li>-->
<!--</ul>-->

<p>
  {{now}}
  <br>
  {{now | date}}
</p>
